# TdApi.Audio (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Audio

Package it.tdlight.jni

# Class TdApi.Audio

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Audio

Enclosing class:
  TdApi

    public static class TdApi.Audio
    extends TdApi.Object

Describes an audio file. Audio is usually in MP3 or M4A format.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.Minithumbnail` | `albumCoverMinithumbnail` | The minithumbnail of the album cover; may be null.
`TdApi.Thumbnail` | `albumCoverThumbnail` | The thumbnail of the album cover in JPEG format; as defined by the sender.
`TdApi.File` | `audio` | File containing the audio.
`static int` | `CONSTRUCTOR` |
`int` | `duration` | Duration of the audio, in seconds; as defined by the sender.
`String` | `fileName` | Original name of the file; as defined by the sender.
`String` | `mimeType` | The MIME type of the file; as defined by the sender.
`String` | `performer` | Performer of the audio; as defined by the sender.
`String` | `title` | Title of the audio; as defined by the sender.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Audio()` | Describes an audio file.
`Audio​(int duration, String title, String performer, String fileName, String mimeType, TdApi.Minithumbnail albumCoverMinithumbnail, TdApi.Thumbnail albumCoverThumbnail, TdApi.File audio)` | Describes an audio file.
`Audio​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### duration

public int duration
Duration of the audio, in seconds; as defined by the sender.

### title

public String title
Title of the audio; as defined by the sender.

### performer

public String performer
Performer of the audio; as defined by the sender.

### fileName

public String fileName
Original name of the file; as defined by the sender.

### mimeType

public String mimeType
The MIME type of the file; as defined by the sender.

### albumCoverMinithumbnail

public TdApi.Minithumbnail albumCoverMinithumbnail
The minithumbnail of the album cover; may be null.

### albumCoverThumbnail

public TdApi.Thumbnail albumCoverThumbnail
The thumbnail of the album cover in JPEG format; as defined by the sender. The full size thumbnail is supposed to be extracted from the downloaded file; may be null.

### audio

public TdApi.File audio
File containing the audio.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Audio

public Audio()
Describes an audio file. Audio is usually in MP3 or M4A format.

### Audio

public Audio​(int duration, String title, String performer, String fileName, String mimeType, TdApi.Minithumbnail albumCoverMinithumbnail, TdApi.Thumbnail albumCoverThumbnail, TdApi.File audio)
Describes an audio file. Audio is usually in MP3 or M4A format.

Parameters:
  `duration` - int Duration of the audio, in seconds; as defined by the sender.
  `title` - String Title of the audio; as defined by the sender.
  `performer` - String Performer of the audio; as defined by the sender.
  `fileName` - String Original name of the file; as defined by the sender.
  `mimeType` - String The MIME type of the file; as defined by the sender.
  `albumCoverMinithumbnail` - Minithumbnail The minithumbnail of the album cover; may be null.
  `albumCoverThumbnail` - Thumbnail The thumbnail of the album cover in JPEG format; as defined by the sender. The full size thumbnail is supposed to be extracted from the downloaded file; may be null.
  `audio` - File File containing the audio.

### Audio

public Audio​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`